Bug 530002

Summary: Unable to boot rawhide kernel 2.6.31.1-56
Product: [Fedora] Fedora Reporter: Damien Covey <damien>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dougsland, gansalmon, itamar, ixlh, kane_wilson, kernel-maint, sergey.rudchenko, web.cosas
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-04 02:25:31 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Damien Covey 2009-10-21 01:57:04 EDT
Description of problem:
When booting a rawhide machine with kernel 2.6.31.1-56.fc12.x86_64 boot fails with the following:

"ERROR: tried to remove a fb that we didn't own
Boot has failed, sleeping forever"

Version-Release number of selected component (if applicable):
Rawhide - 2.6.31.1-56.fc12.x86_64

How reproducible:
Boot with this kernel - this was a fresh upgrade (yum -y update) from Fedora 11)

Steps to Reproduce:
1. Update a Fedora 11 machine to rawhide
2. Boot kernel 2.6.31.1-56.fc12.x86_64
3. Wait for error to appear on screen
  
Actual results:
"ERROR: tried to remove a fb that we didn't own
Boot has failed, sleeping forever"

Expected results:
Machine boots

Additional info:
The same system that had this failure runs rawhide with kernel from Fedora 11 - 2.6.30.8-64.fc11.x86_64 #1 SMP Fri Sep 25 04:43:32 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Damien Covey 2009-10-26 20:56:33 EDT
The fedora install media also exhibits the same issue on my HW.
Comment 2 Damien Covey 2009-10-26 20:58:15 EDT
I consider this to be of higher priority as it has the potential to cause users who upgrade to be unable to boot if they don't keep older kenels.  Also it stops new users from being able to install failing before install even starts.
Comment 3 Damien Covey 2009-10-27 00:16:50 EDT
Also receiving issue with latest kernel 2.6.31.5-96.fc12.x86_64
Comment 4 xl 2009-11-06 09:32:09 EST
Also receiving issue with latest kernel 2.6.31.5-122.fc12.x86_64,
My OS is installed in the USB hard disk, and the machine is HP 6510b.
Comment 5 xl 2009-11-06 09:37:36 EST
I saw the same issue in this URL:
http://fedoraforum.org/forum/showthread.php?p=1279836
Comment 6 Chris Lumens 2009-11-10 09:35:39 EST
*** Bug 532146 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2009-11-16 08:56:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Sergey Rudchenko 2009-11-20 00:44:27 EST
100% reproducible on "Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 02)" with Fedora-12-x86_64-Live.iso

I could perform any tests needed to solve this bug.
Comment 9 Sergey Rudchenko 2009-11-20 16:32:42 EST
I am sorry, that was a corrupted iso image in my case.
Comment 10 kane_wilson 2009-12-22 10:03:03 EST
Using livecd-to-disc and liveusb-creator to copy livecd image to external usb hard drive.
Booting from the hard drive gives "no root device found"

If rdshell is appended to kernel boot line then ls /dev only shows internal hard drives /dev/sda1-2 and no device for the usb hard drive.

Tested on multiple machines giving the same result.
However using the exact same method works with fedora 11.
Comment 11 kane_wilson 2009-12-22 10:15:01 EST
The above was for the i686 livecd
Comment 12 kane_wilson 2009-12-22 11:34:36 EST
Sorry i've found the bug related to my problem
https://bugzilla.redhat.com/show_bug.cgi?id=532062

Cypress Usb to ATA converter must be used in my usb caddy (as shown in dmesg when booting F12 livecd)
Comment 13 Bug Zapper 2010-11-04 05:19:39 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-12-04 02:25:31 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.